Subject: Re: [VRRP] vrrp Digest, Vol 88, Issue 2

From: Sandhya Puppala <[email-masked]>
Date: Tue, 22 Oct 2013 03:41:24 -0700 (PDT)

Hi Sreenatha,

Thank you for your response.
I agree with you. I also feel, both should be Master, but in RFC 5798.
In section 7.1
If any one of the above checks fails, the receiver MUST discard the packet, SHOULD log the event, and MAY indicate via network management that an error occurred. 

- MAY verify that "Count IPvX Addrs" and the list of IPvX address(es) match the IPvX Address(es) configured for the VRID. If the above check fails, the receiver SHOULD log the event and MAY indicate via network management that a misconfiguration was detected. 

It is not mentioned to drop the packet. In the same section for other failed cases it clearly mentioned to drop the packet.
Please let me know your comments.

Thanks,Sandhya

On Sunday, October 20, 2013 12:31 AM, "[email-masked]" <[email-masked]> wrote:
 
If you have received this digest without all the individual message
attachments you will need to update your digest options in your list
subscription.  To do so, go to 

https://www.ietf.org/mailman/listinfo/vrrp

Click the 'Unsubscribe or edit options' button, log in, and set "Get
MIME or Plain Text Digests?" to MIME.  You can set this option
globally for all the list digests you receive at this point.

Send vrrp mailing list submissions to
    [email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
    https://www.ietf.org/mailman/listinfo/vrrp
or, via email, send a message with subject or body 'help' to
    [email-masked]

You can reach the person managing the list at
    [email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of vrrp digest..."

Today's Topics:

   1. Re: vrrp Digest, Vol 88, Issue 1 (Thirumavalavan Periyannan)
   2. Re: :  VRRP IPV6 Session Configuration with different link
      (Sreenatha Setty)

----------------------------------------------------------------------

Message: 1
Date: Sat, 19 Oct 2013 01:02:02 +0530
From: Thirumavalavan Periyannan <[email-masked]>
To: "[email-masked]" <[email-masked]>
Subject: Re: [VRRP] vrrp Digest, Vol 88, Issue 1
Message-ID:
    <[email-masked]>
    
Content-Type: text/plain; charset="us-ascii"

Hi,

Yes, If Virtual IP (including link local) is different for specific VRID then it will be DUAL Master State on DUT1 & DUT2 routers.

Thanks & Regards,
Thirumavalavan Periyannan
Associate SQA Engineer, Extreme Networks

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Saturday, October 19, 2013 12:31 AM
To: [email-masked]
Subject: vrrp Digest, Vol 88, Issue 1

If you have received this digest without all the individual message attachments you will need to update your digest options in your list subscription.  To do so, go to

https://www.ietf.org/mailman/listinfo/vrrp

Click the 'Unsubscribe or edit options' button, log in, and set "Get MIME or Plain Text Digests?" to MIME.  You can set this option globally for all the list digests you receive at this point.

Send vrrp mailing list submissions to

            [email-masked]<mailto:[email-masked]>

To subscribe or unsubscribe via the World Wide Web, visit

            https://www.ietf.org/mailman/listinfo/vrrp

or, via email, send a message with subject or body 'help' to

            [email-masked]<mailto:[email-masked]>

You can reach the person managing the list at

            [email-masked]<mailto:[email-masked]>

When replying, please edit your Subject line so it is more specific than "Re: Contents of vrrp digest..."

Today's Topics:

   1. VRRP IPV6 Session Configuration with different link local

      addresses (as VIP) (Sandhya Puppala)

----------------------------------------------------------------------

Message: 1

Date: Thu, 17 Oct 2013 22:27:21 -0700 (PDT)

From: Sandhya Puppala <[email-masked]>

To: "[email-masked]" <[email-masked]>

Subject: [VRRP] VRRP IPV6 Session Configuration with different link

            local     addresses (as VIP)

Message-ID:

            <[email-masked]>

Content-Type: text/plain; charset="iso-8859-1"

Hi,

Consider the below topology,

DUT1 ----- DUT2

Configured DUT1 as owner with vip as fe80::ca35:b8ff:fea8:82fd.

And configured DUT2 as not-owner with vip as fe80::ca35:b8ff:fea8:8212

VIP on DUT1 and DUT2 are different.

What should be the states of DUT1 & DUT2?

According to draft http://tools.ietf.org/html/draft-ietf-vrrp-ipv6-spec-07

section 7.1,

If the packet was not generated by the address owner (Priority does not equal 255 (decimal)), the receiver MUST drop the packet, otherwise continue processing.

1. Does it need to compare the vip address of received packet and its vip address?

??? If there are different what need to be done?

As per RFC "DUT2 should accept the packet from DUT1".

Does this mean DUT2 state should become backup?

Thanks,

Sandhya

-------------- next part --------------

An HTML attachment was scrubbed...

URL: <http://www.ietf.org/mail-archive/web/vrrp/attachments/20131017/5babdb8d/attachment.htm>

------------------------------

_______________________________________________

vrrp mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/vrrp

End of vrrp Digest, Vol 88, Issue 1

***********************************

________________________________
DISCLAIMER:
This e-mail and any attachments to it may contain confidential and proprietary material and is solely for the use of the intended recipient. Any review, use, disclosure, distribution or copying of this transmittal is prohibited except by or on behalf of the intended recipient. If you have received this transmittal in error, please notify the sender and destroy this e-mail and any attachments and all copies, whether electronic or printed.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.ietf.org/mail-archive/web/vrrp/attachments/20131019/e1ee034d/attachment.htm>

------------------------------

Message: 2
Date: Sat, 19 Oct 2013 12:36:50 +0530
From: Sreenatha Setty <[email-masked]>
To: <[email-masked]>
Cc: [email-masked]
Subject: Re: [VRRP] :  VRRP IPV6 Session Configuration with different
    link
Message-ID:
    <[email-masked]>
    
Content-Type: text/plain; charset="us-ascii"

Hi Sandhya,
     Normally Vendors will implement based on the standard RFC not on
the draft version, since drafts can undergo changes very frequently. I
am not sure for what reason you are referring that particular draft. 
I suggest you to refer latest VRRP v3 RFC: 5798 for better
understanding.

Coming to your query,  according to latest RFC 5798( section 7.1), " If
the packet was not generated by the address owner (Priority does not
equal 255 (decimal)), the receiver MUST drop the packet, otherwise
continue processing" condition is removed.  So router can accept vrrp
packets even if it is generated by other than the address owner if all
other conditions are met. (Mentioned in the above sections 7.1 of RFC
5798)

In your case, you mentioned different VIPs are configured. In the same
section only,  RFC tells, 
      - MAY verify that "Count IPvX Addrs" and the list of IPvX
      address(es) match the IPvX Address(es) configured for the VRID.

So according to this logic, both DUTs will discard the vrrp packets
since VIP address are different and both DUTs will become VRRP Masters.

And standard VRRP MIB(RFC 6527) specifies one statistics object to
represent these kind of address list errors:

vrrpv3StatisticsAddressListErrors OBJECT-TYPE
           SYNTAX       Counter64
           MAX-ACCESS   read-only
           STATUS       current
           DESCRIPTION
               "The total number of packets received for which the
               address list does not match the locally configured
               list for the virtual router.

               Discontinuities in the value of this counter can occur
               at re-initialization of the management system, and at
               other times as indicated by the value of
               vrrpv3StatisticsRowDiscontinuityTime."
           ::= { vrrpv3StatisticsEntry 10 }

Summary to your query:
    1. Both DUTs will detects VIP address error, discards the packets
and becomes the Masters.
    2. DUTs  increment the statistics variable
vrrpv3StatisticsAddressListErrors.

Additionally, if you configure different VRIDs, packets will be
discarded before checking the VIPs only. Both DUTs will become masters
and will increment vrrpv3RouterVrIdErrors statistics variable (RFC
6527).

vrrpv3RouterVrIdErrors OBJECT-TYPE
           SYNTAX       Counter64
           MAX-ACCESS   read-only
          STATUS       current
           DESCRIPTION
               "The total number of VRRP packets received with a
                VRID that is not valid for any virtual router on this
                router.

               Discontinuities in the value of this counter can occur
               at re-initialization of the management system, and at
               other times as indicated by the value of
               vrrpv3GlobalStatisticsDiscontinuityTime."

           REFERENCE "RFC 5798, Section 5.2.3"
           ::= { vrrpv3Statistics 3 }

Thanks & Regards,
B Sreenatha Setty
Senior Software Engineer
IB Technology

------------------------------------------------------------------------
--------------------------------------
Message: 1
Date: Thu, 17 Oct 2013 22:27:21 -0700 (PDT)
From: Sandhya Puppala <[email-masked]>
To: "[email-masked]" <[email-masked]>
Subject: [VRRP] VRRP IPV6 Session Configuration with different link
    local    addresses (as VIP)
Message-ID:
    <[email-masked]>
Content-Type: text/plain; charset="iso-8859-1"

Hi,

Consider the below topology,
DUT1 ----- DUT2

Configured DUT1 as owner with vip as fe80::ca35:b8ff:fea8:82fd.
And configured DUT2 as not-owner with vip as fe80::ca35:b8ff:fea8:8212

VIP on DUT1 and DUT2 are different.

What should be the states of DUT1 & DUT2?

According to draft
http://tools.ietf.org/html/draft-ietf-vrrp-ipv6-spec-07
section 7.1, 

If the packet was not generated by the address owner (Priority does not
equal 255 (decimal)), the receiver MUST drop the packet, otherwise
continue processing.

1. Does it need to compare the vip address of received packet and its
vip address?
??? If there are different what need to be done?

As per RFC "DUT2 should accept the packet from DUT1".
Does this mean DUT2 state should become backup?

Thanks,
Sandhya
-------------- next part --------------
An HTML attachment was scrubbed...
URL:
<http://www.ietf.org/mail-archive/web/vrrp/attachments/20131017/5babdb8d
/attachment.htm>

------------------------------

_______________________________________________
vrrp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vrrp

End of vrrp Digest, Vol 88, Issue 1
***********************************
Disclaimer : 
This email communication may contain privileged and confidential information and is intended for the use of the addressee only.If you are not an intended recipient you are requested not to reproduce, copy disseminate or in any manner distribute this email communication as the same is strictly prohibited. If you have received this email in error, please notify the sender immediately by return e-mail and delete the communication sent in error. Email communications cannot be guaranteed to be secure & error free and IB Technology is not liable for any errors in the email communication or for the proper, timely and complete transmission thereof.

------------------------------

_______________________________________________
vrrp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vrrp

End of vrrp Digest, Vol 88, Issue 2
***********************************